    001/*
    002 *  Licensed to the Apache Software Foundation (ASF) under one or more
    003 *  contributor license agreements.  See the NOTICE file distributed with
    004 *  this work for additional information regarding copyright ownership.
    005 *  The ASF licenses this file to You under the Apache License, Version 2.0
    006 *  (the "License"); you may not use this file except in compliance with
    007 *  the License.  You may obtain a copy of the License at
    008 *
    009 *      http://www.apache.org/licenses/LICENSE-2.0
    010 *
    011 *  Unless required by applicable law or agreed to in writing, software
    012 *  distributed under the License is distributed on an "AS IS" BASIS,
    013 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014 *  See the License for the specific language governing permissions and
    015 *  limitations under the License.
    016 *
    017 */
    018
    019package org.apache.commons.compress.archivers.zip;
    020
    021/**
    022 *  A predicate to test if a #ZipArchiveEntry matches a criteria.
    023 *  Some day this can extend java.util.function.Predicate
    024 *
    025 *  @since 1.10
    026 */
    027public interface ZipArchiveEntryPredicate {
    028    /**
    029     * Indicate if the given entry should be included in the operation
    030     * @param zipArchiveEntry the entry to test
    031     * @return true if the entry should be included
    032     */
    033    boolean test(ZipArchiveEntry zipArchiveEntry);
    034}